<div class="page" v-bind:style="{marginRight : marginRight, left : sidebarWidth}" [ngStyle]="{'margin-right': (allviewSate$ | async).isSidebarOpen? sidebarWightOpen : sidebarWightClose}">

<app-sidebar (toggleSidebar)="toggleSidebar()"
             (sidebarPageSelection)="sidebarPageSelection($event)"
             (sidebarSortSelection)="sidebarSortSelection($event)"
             [sidebarActivePage]="(allviewSate$ | async).sidebarActivePage"
             [sidebarOpen]="(allviewSate$ | async).isSidebarOpen"></app-sidebar>

  <!--<right-sidebar ref="rightside" v-on:calkback="rightSideBarToggle"></right-sidebar>-->
  <div class="all-view-title">All</div>
  <div class="top-page">
    <!--<p class="all-view-title">All {{(allviewSate$ | async).isSidebarOpen}}</p>-->

    <i *ngIf="!(allviewSate$ | async).isSidebarOpen" class="toggle-sidebar fa fa-wrench top-item-right" (click)="toggleSidebar($event)"></i>

    <i class="icon fa fa-th top-item-right"
       [ngClass]="(allviewSate$ | async).detailMode ? '' : 'iconactive'"
       (click)="normalMode()"></i>

    <i class="icon fa fa-th-large top-item-right icon2"
       [ngClass]="(allviewSate$ | async).detailMode ? 'iconactive' : ''"
       (click)="detailMode()"></i>

    <div class="separator top-item-right"></div>

    <!--Search bar-->
    <div class="search-bar top-item-right">
      <input [value]="(allviewSate$ | async).searchOnMonitoredObjects"
         class="search-input" type="search" placeholder="  Search..."
        [style.width]="(allviewSate$ | async).isSearchOpen ? widthInputOpen : widthInputClose"
        (keyup)="handleSearch($event.target.value)"
      >
      <i class="search-icon icon fa fa-search"
         [ngStyle]="{'background-color' : (allviewSate$ | async).isSearchOpen ? buttonColorOpen : buttonColorClose}"
         (click)="searchToggle()"
         [ngClass]="[(allviewSate$ | async).isSearchOpen ? 'fa-times' : '']">
      </i>
    </div>

  </div>


  <!--<detail v-if="view === 'detail'"></detail>-->
  <!--<normal v-if="view === 'normal'"></normal>-->

    <app-rows-allview [monitoredObjects]="(MonitoredObjects$|async)" [detail]="(allviewSate$ | async).detailMode"
    style="height: 100%;">
    </app-rows-allview>
  <!--<app-row.by.platform (monitoredObject)="(MonitoredObjectsSate$ | async).monitoredObjects[0]"></app-row.by.platform>-->
  <!--<div class="platform-list">-->
  <!--<div class="platform" v-for="object in monitoredObject.model.ts"><div class="status"></div> <div class="content">{{object.alias}}</div></div>-->
  <!--</div>-->
</div>
